libraw1394: version 2.0.4
Prev |  | Next

# raw1394_update_generation

## Name

raw1394_update_generation -- set generation number of handle

## Synopsis

``void raw1394_update_generation` (raw1394handle_t handle, unsigned int generation);`

## Arguments

`handle`

  libraw1394 handle

`generation`

  new generation number

## Description

This function sets the generation number of the handle to `gen`. All requests that apply to a single node ID are tagged with this number and abort with an error if that is different from the generation number kept in the kernel. This avoids acting on the wrong node which may have changed its ID in a bus reset.

You should call this within your bus reset handler with an incremented value.

Prev | Home | Next
raw1394_get_generation | Up | raw1394_set_tag_handler